## sphinxcontrib-bibtex 0.3.6

=== requirements.txt ===
latexcodec>=0.3.0
pybtex>=0.17
pybtex-docutils>=0.2.0
six>=1.4.1
Sphinx>=1.0
oset>=0.1.3

=== debian/changelog ===
sphinxcontrib-bibtex (0.3.6-1) unstable; urgency=low

  * Initial release. (Closes: #800358)

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Wed, 27 Sep 2017 17:11:06 +0100

=== debian/control ===
Source: sphinxcontrib-bibtex
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
Section: python
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-python,
               dpkg-dev (>= 1.17.14),
               python3-all,
               python3-doc <!nodoc>,
               python3-nose <!nocheck>,
               python3-pybtex-docutils <!nocheck>,
               python3-setuptools,
               python3-six <!nocheck>,
               python3-sortedcollections <!nocheck>,
               python3-sphinx <!nocheck> <!nodoc>,
               python3-sphinx-testing <!nocheck>,
               sphinx-doc <!nodoc>
Standards-Version: 4.1.0
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/sphinxcontrib-bibtex.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/sphinxcontrib-bibtex.git
Homepage: https://github.com/mcmtroffaes/sphinxcontrib-bibtex

Package: python3-sphinxcontrib.bibtex
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Suggests: python-sphinxcontrib.bibtex-doc <!nodoc>
Description: Sphinx extension for BibTeX style citations
 This extension allows BibTeX citations to be inserted into documentation
 generated by Sphinx, via a bibliography directive, and a cite role, which work
 similarly to LaTeX’s thebibliography environment and \cite command.
 .
 This package provides the modules for Python 3.

Package: python-sphinxcontrib.bibtex-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Description: documentation for sphinxcontrib-bibtex
 This extension allows BibTeX citations to be inserted into documentation
 generated by Sphinx, via a bibliography directive, and a cite role, which work
 similarly to LaTeX’s thebibliography environment and \cite command.
 .
 This package provides the documentation.
Build-Profiles: <!nodoc>

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=sphinxcontrib.bibtex

# Testing is currently disabled due to compatibility issues between sphinx and
# sphinx-testing (#875399).
export PYBUILD_DISABLE=test

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	$(MAKE) -C doc clean
endif

override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	dh_auto_build
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) $(MAKE) -C doc html
endif

=== debian/tests/control ===
Test-Command: set -e
 ; cp -r test "$AUTOPKGTEST_TMP"
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; $py -m nose -v
 ; done
Depends: python3-all,
         python3-nose,
         python3-sphinx-testing,
         python3-sphinxcontrib.bibtex
Restrictions: allow-stderr

## sphinxcontrib-bibtex 0.4.0

=== debian/changelog ===
sphinxcontrib-bibtex (0.4.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Compatible with Sphinx 1.7 (closes: #895882).
  * Rebase patches for the new release.
  * Depend on python3-pybtex ≥ 0.20 (following upstream requirement).
  * Update Vcs fields to point to salsa.debian.org.
  * Update Source URL in debian/copyright.
  * Bump Standards-Version to 4.1.4, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 18 May 2018 14:04:49 +0300

sphinxcontrib-bibtex (0.3.6-2) unstable; urgency=medium

  * Enable testing during build
  * Ignore tests requiring Tinkerer
  * Add missing B-D on sphinx-common
  * Bump the standards version to 4.1.1

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Fri, 17 Nov 2017 17:30:43 +0000

=== debian/control ===
--- 
+++ 
@@ -15,15 +15,17 @@
                python3-sortedcollections <!nocheck>,
                python3-sphinx <!nocheck> <!nodoc>,
                python3-sphinx-testing <!nocheck>,
+               sphinx-common,
                sphinx-doc <!nodoc>
-Standards-Version: 4.1.0
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/sphinxcontrib-bibtex.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/sphinxcontrib-bibtex.git
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/science-team/sphinxcontrib-bibtex
+Vcs-Git: https://salsa.debian.org/science-team/sphinxcontrib-bibtex.git
 Homepage: https://github.com/mcmtroffaes/sphinxcontrib-bibtex
 
 Package: python3-sphinxcontrib.bibtex
 Architecture: all
-Depends: ${misc:Depends},
+Depends: python3-pybtex (>= 0.20),
+         ${misc:Depends},
          ${python3:Depends}
 Suggests: python-sphinxcontrib.bibtex-doc <!nodoc>
 Description: Sphinx extension for BibTeX style citations

## sphinxcontrib-bibtex 0.4.1

=== requirements.txt ===
pybtex>=0.20
pybtex-docutils>=0.2.0
six>=1.4.1
Sphinx>=1.6
oset>=0.1.3

=== debian/changelog ===
sphinxcontrib-bibtex (0.4.1-2) unstable; urgency=medium

  * Team upload.
  * Add a patch to fix test failures with sphinx-testing 0.8.1
    (Register-node-with-override.patch).

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 06 Jan 2019 00:58:28 +0300

sphinxcontrib-bibtex (0.4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Build-depend on sphinx ≥ 1.6, following upstream requirements.txt.
  * Refresh debian/patches/Use-sortedcollections.patch.
  * Update debian/patches/No-privacy-breach.patch to not break package
    description in PKG-INFO file.
  * Remove the namespace package .pth file, use implicit namespace.
  * Drop unused Lintian extra-license-file override. See #885968.
  * Bump Standards-Version to 4.3.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 05 Jan 2019 19:01:15 +0300

=== debian/control ===
--- 
+++ 
@@ -13,11 +13,11 @@
                python3-setuptools,
                python3-six <!nocheck>,
                python3-sortedcollections <!nocheck>,
-               python3-sphinx <!nocheck> <!nodoc>,
+               python3-sphinx (>= 1.6) <!nocheck> <!nodoc>,
                python3-sphinx-testing <!nocheck>,
                sphinx-common,
                sphinx-doc <!nodoc>
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/science-team/sphinxcontrib-bibtex
 Vcs-Git: https://salsa.debian.org/science-team/sphinxcontrib-bibtex.git
 Homepage: https://github.com/mcmtroffaes/sphinxcontrib-bibtex

=== debian/rules ===
--- 
+++ 
@@ -5,9 +5,8 @@
 
 export PYBUILD_NAME=sphinxcontrib.bibtex
 
-# Testing is currently disabled due to compatibility issues between sphinx and
-# sphinx-testing (#875399).
-export PYBUILD_DISABLE=test
+# This test case requires Tinkerer (#664760).
+export NOSE_IGNORE_FILES=test_issue1.py
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

## sphinxcontrib-bibtex 1.0.0

=== requirements.txt ===
pybtex>=0.20
pybtex-docutils>=0.2.0
Sphinx>=2.0
oset>=0.1.3

=== debian/changelog ===
sphinxcontrib-bibtex (1.0.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Compatible with Sphinx 2.x (closes: #955121).
  * Drop Register-node-with-override.patch, applied upstream.
  * Rebase the other patches.
  * Remove python3-six build-dependency, no longer needed.
  * Bump python3-sphinx build-dependency and dependency to 2.0.
  * Update to debhelper compat level 12, use the new syntax.
  * Drop NOSE_IGNORE_FILES export, the Tinkerer test was removed.
  * Bump Standards-Version to 4.5.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 17 Apr 2020 20:01:42 +0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                dpkg-dev (>= 1.17.14),
                python3-all,
@@ -11,13 +11,12 @@
                python3-nose <!nocheck>,
                python3-pybtex-docutils <!nocheck>,
                python3-setuptools,
-               python3-six <!nocheck>,
                python3-sortedcollections <!nocheck>,
-               python3-sphinx (>= 1.6) <!nocheck> <!nodoc>,
+               python3-sphinx (>= 2.0) <!nocheck> <!nodoc>,
                python3-sphinx-testing <!nocheck>,
                sphinx-common,
                sphinx-doc <!nodoc>
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/science-team/sphinxcontrib-bibtex
 Vcs-Git: https://salsa.debian.org/science-team/sphinxcontrib-bibtex.git
 Homepage: https://github.com/mcmtroffaes/sphinxcontrib-bibtex
@@ -25,6 +24,7 @@
 Package: python3-sphinxcontrib.bibtex
 Architecture: all
 Depends: python3-pybtex (>= 0.20),
+         python3-sphinx (>= 2.0),
          ${misc:Depends},
          ${python3:Depends}
 Suggests: python-sphinxcontrib.bibtex-doc <!nodoc>

=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,6 @@
 #export DH_VERBOSE=1
 
 export PYBUILD_NAME=sphinxcontrib.bibtex
-
-# This test case requires Tinkerer (#664760).
-export NOSE_IGNORE_FILES=test_issue1.py
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

## sphinxcontrib-bibtex 2.4.1

=== requirements.txt ===
Sphinx>=2.1
docutils>=0.8
pybtex>=0.20
pybtex-docutils>=1.0.0
dataclasses; python_version < '3.7'

=== debian/changelog ===
sphinxcontrib-bibtex (2.4.1-3) unstable; urgency=medium

  * Team upload.
  * debian/watch: fix for new GitHub layout

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 07 Nov 2021 17:37:58 +0100

sphinxcontrib-bibtex (2.4.1-2) unstable; urgency=medium

  * Team upload.
  * Add breaks for python3-nbsphinx before 0.8.7
  * Append ":any" to Python build-dep to facilitate cross-building
  * Marked two Debian specific patches as not needing forwarding to
    upstream.
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 10 Oct 2021 13:51:21 +0200

sphinxcontrib-bibtex (2.4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Make the autopkgtest depend on pybtex ≥ 0.22.2-1 (see #958493).
  * Update debian/watch to track releases from GitHub.
    The latest tarball on PyPI has bad line endings.
  * Drop Use-sortedcollections.patch, no longer needed.
  * Refresh and rebase the other patches.
  * Update dependencies:
    - Require python3-pybtex-docutils ≥ 1.0.0.
    - Require sphinx ≥ 2.1.
    - Remove python3-sphinx-testing, no longer needed.
    - Remove python3-sortedcollections, no longer needed.
  * Switch from nose to pytest for testing.
  * Add src/sphinxcontrib_bibtex.egg-info to pybuild.testfiles.
  * Set PYTHONPATH to ./src when building the docs.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 26 Apr 2020 20:23:21 +0300

=== debian/control ===
--- 
+++ 
@@ -3,30 +3,30 @@
 Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                dpkg-dev (>= 1.17.14),
-               python3-all,
+               python3-all:any,
                python3-doc <!nodoc>,
-               python3-nose <!nocheck>,
-               python3-pybtex-docutils <!nocheck>,
+               python3-pybtex-docutils (>= 1.0.0) <!nocheck>,
+               python3-pytest <!nocheck>,
                python3-setuptools,
-               python3-sortedcollections <!nocheck>,
-               python3-sphinx (>= 2.0) <!nocheck> <!nodoc>,
-               python3-sphinx-testing <!nocheck>,
+               python3-sphinx (>= 2.1) <!nocheck> <!nodoc>,
                sphinx-common,
                sphinx-doc <!nodoc>
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/science-team/sphinxcontrib-bibtex
 Vcs-Git: https://salsa.debian.org/science-team/sphinxcontrib-bibtex.git
 Homepage: https://github.com/mcmtroffaes/sphinxcontrib-bibtex
+Rules-Requires-Root: no
 
 Package: python3-sphinxcontrib.bibtex
 Architecture: all
 Depends: python3-pybtex (>= 0.20),
-         python3-sphinx (>= 2.0),
+         python3-sphinx (>= 2.1),
          ${misc:Depends},
          ${python3:Depends}
+Breaks: python3-nbsphinx (<< 0.8.7)
 Suggests: python-sphinxcontrib.bibtex-doc <!nodoc>
 Description: Sphinx extension for BibTeX style citations
  This extension allows BibTeX citations to be inserted into documentation

=== debian/rules ===
--- 
+++ 
@@ -19,5 +19,5 @@
 override_dh_auto_build:
 	dh_auto_build
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=$(CURDIR) $(MAKE) -C doc html
+	PYTHONPATH=$(CURDIR)/src $(MAKE) -C doc html
 endif

=== debian/tests/control ===
Test-Command: set -e
 ; cp -r test "$AUTOPKGTEST_TMP"
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; $py -m pytest -v
 ; done
Depends: python3-all,
         python3-pybtex (>= 0.22.2-1~),
         python3-pytest,
         python3-sphinxcontrib.bibtex
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="uversionmangle=s/(rc|a|b|c)/~$1/,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
https://github.com/mcmtroffaes/sphinxcontrib-bibtex/tags \
    /mcmtroffaes/sphinxcontrib-bibtex/archive/refs/tags/@ANY_VERSION@\.tar\.gz

## sphinxcontrib-bibtex 2.5.0

=== requirements.txt ===
Sphinx>=2.1
docutils>=0.8
pybtex>=0.24
pybtex-docutils>=1.0.0
dataclasses; python_version < '3.7'
importlib_metadata>=3.6; python_version < '3.10'

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/sphinxcontrib-bibtex.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/sphinxcontrib-bibtex.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/sphinxcontrib-bibtex"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/sphinxcontrib-bibtex"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
sphinxcontrib-bibtex (2.5.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version ; doesn't FTBFS with Sphinx 5.x
    thus (Closes: #1013388)
  * Standards-Version: 4.6.1 (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Drop build-dep on dpkg-dev, even old-old-stable has a new enough
    version (1.17.14+)
  * Skip test_citation_rinoh* as rinoh isn't packaged for Debian yet
  * new test dep: python3-numpydoc

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 08 Nov 2022 17:44:01 +0100

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,16 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
-               dpkg-dev (>= 1.17.14),
                python3-all:any,
                python3-doc <!nodoc>,
                python3-pybtex-docutils (>= 1.0.0) <!nocheck>,
                python3-pytest <!nocheck>,
                python3-setuptools,
                python3-sphinx (>= 2.1) <!nocheck> <!nodoc>,
+               python3-numpydoc <!nocheck>,
                sphinx-common,
                sphinx-doc <!nodoc>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/science-team/sphinxcontrib-bibtex
 Vcs-Git: https://salsa.debian.org/science-team/sphinxcontrib-bibtex.git
 Homepage: https://github.com/mcmtroffaes/sphinxcontrib-bibtex
@@ -22,12 +22,12 @@
 
 Package: python3-sphinxcontrib.bibtex
 Architecture: all
-Depends: python3-pybtex (>= 0.20),
+Depends: python3-pybtex,
          python3-sphinx (>= 2.1),
          ${misc:Depends},
          ${python3:Depends}
+Suggests: python-sphinxcontrib.bibtex-doc <!nodoc>
 Breaks: python3-nbsphinx (<< 0.8.7)
-Suggests: python-sphinxcontrib.bibtex-doc <!nodoc>
 Description: Sphinx extension for BibTeX style citations
  This extension allows BibTeX citations to be inserted into documentation
  generated by Sphinx, via a bibliography directive, and a cite role, which work

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,7 @@
 #export DH_VERBOSE=1
 
 export PYBUILD_NAME=sphinxcontrib.bibtex
+export PYBUILD_TEST_ARGS="-k not test_citation_rinoh"
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: set -e
 ; cp -r test "$AUTOPKGTEST_TMP"
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; $py -m pytest -v -k "not test_citation_rinoh"
 ; done
Depends: python3-all,
         python3-pybtex (>= 0.22.2-1~),
         python3-pytest,
         python3-sphinxcontrib.bibtex,
         python3-numpydoc
Restrictions: allow-stderr

## sphinxcontrib-bibtex 2.6.1

=== debian/changelog ===
sphinxcontrib-bibtex (2.6.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop Update-footnote-regexp-for-docutils-0.20.patch, included in the
    new release.
  * Rebase the other patches.
  * Add a patch to temporarily allow docutils 0.19.
  * Depend on docutils 0.19+dfsg-8, which has the fix for extra closing tag.
  * Depend on python3-sphinx-autoapi for tests.
  * Add src/sphinxcontrib_bibtex.egg-info to debian/clean.
  * Copy pytest.ini when running the autopkgtest.
  * Fix built-using-field-on-arch-all-package Lintian warning.
  * Bump Standards-Version to 4.6.2, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 30 Oct 2023 09:26:16 +0300

sphinxcontrib-bibtex (2.5.0-2) unstable; urgency=medium

  * Team upload.
  * Backport upstream patch to make the tests pass with docutils 0.20
    (closes: #1042630).

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 06 Aug 2023 19:03:18 +0300

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,16 @@
                dh-python,
                python3-all:any,
                python3-doc <!nodoc>,
+               python3-docutils (>= 0.19+dfsg-8~) <!nocheck>,
                python3-pybtex-docutils (>= 1.0.0) <!nocheck>,
                python3-pytest <!nocheck>,
                python3-setuptools,
                python3-sphinx (>= 2.1) <!nocheck> <!nodoc>,
+               python3-sphinx-autoapi <!nocheck>,
                python3-numpydoc <!nocheck>,
                sphinx-common,
                sphinx-doc <!nodoc>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/science-team/sphinxcontrib-bibtex
 Vcs-Git: https://salsa.debian.org/science-team/sphinxcontrib-bibtex.git
 Homepage: https://github.com/mcmtroffaes/sphinxcontrib-bibtex
@@ -22,7 +24,8 @@
 
 Package: python3-sphinxcontrib.bibtex
 Architecture: all
-Depends: python3-pybtex,
+Depends: python3-docutils (>= 0.19+dfsg-8~),
+         python3-pybtex,
          python3-sphinx (>= 2.1),
          ${misc:Depends},
          ${python3:Depends}
@@ -41,7 +44,6 @@
 Section: doc
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends}
-Built-Using: ${sphinxdoc:Built-Using}
 Description: documentation for sphinxcontrib-bibtex
  This extension allows BibTeX citations to be inserted into documentation
  generated by Sphinx, via a bibliography directive, and a cite role, which work

## sphinxcontrib-bibtex 2.6.2

=== requirements.txt ===
Sphinx>=3.5
docutils>=0.8,!=0.18.*,!=0.19.*
pybtex>=0.24
pybtex-docutils>=1.0.0
dataclasses; python_version < '3.7'
importlib_metadata>=3.6; python_version < '3.10'

=== test/roots/test-sphinx/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Sphinxbibtexextensiontest.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Sphinxbibtexextensiontest.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Sphinxbibtexextensiontest"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Sphinxbibtexextensiontest"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
sphinxcontrib-bibtex (2.6.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
    Closes: #1061006
  * Build-Depends: s/python-sphinx/python3-sphinx/ (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 23 Jan 2024 16:19:30 +0100

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-all:any,
                python3-doc <!nodoc>,
                python3-docutils (>= 0.19+dfsg-8~) <!nocheck>,
                python3-pybtex-docutils (>= 1.0.0) <!nocheck>,
                python3-pytest <!nocheck>,
                python3-setuptools,
-               python3-sphinx (>= 2.1) <!nocheck> <!nodoc>,
+               python3-sphinx <!nocheck> <!nodoc>,
                python3-sphinx-autoapi <!nocheck>,
                python3-numpydoc <!nocheck>,
                sphinx-common,
@@ -26,7 +26,7 @@
 Architecture: all
 Depends: python3-docutils (>= 0.19+dfsg-8~),
          python3-pybtex,
-         python3-sphinx (>= 2.1),
+         python3-sphinx,
          ${misc:Depends},
          ${python3:Depends}
 Suggests: python-sphinxcontrib.bibtex-doc <!nodoc>

## sphinxcontrib-bibtex 2.6.5

=== debian/changelog ===
sphinxcontrib-bibtex (2.6.5-3) unstable; urgency=medium

  * Team upload.
  * Backport upstream patch to make the tests pass with Docutils 0.22.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 24 Sep 2025 21:44:31 +0300

sphinxcontrib-bibtex (2.6.5-2) unstable; urgency=medium

  * Team upload.
  * Exlicitely depends on "python3-pybtex (>= 0.25.1-1~)"

 -- Alexandre Detiste <tchet@debian.org>  Wed, 20 Aug 2025 01:00:32 +0200

sphinxcontrib-bibtex (2.6.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.6.5
  * Bump Standards-Version to 4.7.2
  * Drop Rules-Requires-Root, it's the default now

 -- Alexandre Detiste <tchet@debian.org>  Sun, 17 Aug 2025 16:57:25 +0200

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
+               pybuild-plugin-pyproject,
                python3-all:any,
                python3-doc <!nodoc>,
                python3-docutils (>= 0.19+dfsg-8~) <!nocheck>,
@@ -16,16 +17,15 @@
                python3-numpydoc <!nocheck>,
                sphinx-common,
                sphinx-doc <!nodoc>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/science-team/sphinxcontrib-bibtex
 Vcs-Git: https://salsa.debian.org/science-team/sphinxcontrib-bibtex.git
 Homepage: https://github.com/mcmtroffaes/sphinxcontrib-bibtex
-Rules-Requires-Root: no
 
 Package: python3-sphinxcontrib.bibtex
 Architecture: all
 Depends: python3-docutils (>= 0.19+dfsg-8~),
-         python3-pybtex,
+         python3-pybtex (>= 0.25.1-1~),
          python3-sphinx,
          ${misc:Depends},
          ${python3:Depends}

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 export PYBUILD_TEST_ARGS="-k not test_citation_rinoh"
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_clean:
 	dh_auto_clean

=== debian/tests/control ===
Test-Command: set -e
 ; cp -r test pytest.ini "$AUTOPKGTEST_TMP"
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; $py -m pytest -v -k "not test_citation_rinoh"
 ; done
Depends: python3-all,
         python3-pybtex (>= 0.22.2-1~),
         python3-pytest,
         python3-sphinx-autoapi,
         python3-sphinxcontrib.bibtex,
         python3-numpydoc
Restrictions: allow-stderr
